cURL
curl --request POST \ --url https://eu-cloudflare.vg-stuff.com/agents/import-template \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "agentName": "<string>", "fromAgentId": "<string>" } '
{ "message": "<string>", "code": "<string>", "issues": [ { "message": "<string>" } ] }
Imports an agent template, this route must use the new V3 endpoints.
{ "agentTemplate": { "name": "My Template", "agentData": {...}, "tools": [...], "variables": [...], "nodes": [...] }, "agentName": "My New Agent" }
fromAgentId
{ "fromAgentId": "existing_agent_id", "agentName": "My Converted Agent" }
vg_systemPrompt
vg_initPrompt
{ "agentCreated": { "ID": "new_agent_id", "title": "My New Agent", "nodes": [...], "SECRET_API_KEY": "vg_xxxx" } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Show child attributes
Successful response